## org.apache.bcel.generic
Class IFEQ

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.BranchInstruction
                  |
                  +--org.apache.bcel.generic.IfInstruction
                        |
                        +--org.apache.bcel.generic.IFEQ

All Implemented Interfaces:
  java.lang.Cloneable, InstructionTargeter, java.io.Serializable, StackConsumer

public class IFEQ
extends IfInstruction

IFEQ - Branch if int comparison with zero succeeds

    Stack: ..., value -> ...

Version:
  $Id: IFEQ.java,v 1.1.1.1 2001/10/29 20:00:14 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.BranchInstruction
`index, position, target`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`IFEQ(InstructionHandle target)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`IfInstruction` `negate()`

Methods inherited from class org.apache.bcel.generic.BranchInstruction
`containsTarget, dump, getIndex, getTarget, getTargetOffset, getTargetOffset, initFromFile, setTarget, toString, updatePosition, updateTarget`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### IFEQ

    public IFEQ(InstructionHandle target)

Method Detail

### negate

    public IfInstruction negate()

  Specified by:
    `negate` in class `IfInstruction`
  Returns:
    negation of instruction, e.g. IFEQ.negate() == IFNE

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.